> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add activity

> Create a new activity with automatic calculation:

**Required Parameters**:
- `formId`: Form where the activity belongs
- `key`: Activity definition key (e.g., "electricity_consumption")
- `siteId`: Site where the activity occurs
- `year`: Activity year
- `periodUnit`: Time period (e.g., 1 for January, 4 for Q4)
- `input`: Input data for calculation (key-value pairs)

The system automatically calculates the activity value using the provided inputs and the activity definition's calculation logic.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.json post /activities
openapi: 3.0.3
info:
  title: Erguvan Public API
  version: 1.0.0
servers:
  - url: https://app.azalt.co/api/v1
security: []
paths:
  /activities:
    post:
      tags:
        - Activity
      summary: Add activity
      description: >-
        Create a new activity with automatic calculation:


        **Required Parameters**:

        - `formId`: Form where the activity belongs

        - `key`: Activity definition key (e.g., "electricity_consumption")

        - `siteId`: Site where the activity occurs

        - `year`: Activity year

        - `periodUnit`: Time period (e.g., 1 for January, 4 for Q4)

        - `input`: Input data for calculation (key-value pairs)


        The system automatically calculates the activity value using the
        provided inputs and the activity definition's calculation logic.
      operationId: addActivity
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                formId:
                  type: string
                key:
                  type: string
                siteId:
                  type: string
                year:
                  type: number
                periodUnit:
                  type: number
                input:
                  type: object
                  additionalProperties: {}
              required:
                - formId
                - key
                - siteId
                - year
                - periodUnit
                - input
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  formSubmissionId:
                    type: string
                  formElementId:
                    type: string
                  periodUnit:
                    type: number
                  sequence:
                    type: number
                  value: {}
                  status:
                    type: string
                    enum:
                      - COMPLETED
                      - APPROVED
                      - REJECTED
                  activity:
                    type: object
                    properties:
                      activityId:
                        type: string
                      input:
                        type: object
                        additionalProperties: {}
                      value:
                        type: number
                        nullable: true
                      metadata:
                        type: object
                        additionalProperties: {}
                    required:
                      - activityId
                      - input
                      - value
                      - metadata
                required:
                  - id
                  - formSubmissionId
                  - formElementId
                  - periodUnit
                  - sequence
                  - status
                  - activity
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````